package org.eclipse.jface.eclipsecon.databinding;

import org.eclipse.core.databinding.DataBindingContext;
import org.eclipse.core.databinding.UpdateValueStrategy;
import org.eclipse.core.databinding.observable.value.IObservableValue;
import org.eclipse.jface.databinding.swt.SWTObservables;
import org.eclipse.swt.widgets.Display;

public class DataBindingContextFactory {
	public static DataBindingContext create() {
		// One way to persist changes...
		DataBindingContext bindingContext = new DataBindingContext(
				SWTObservables.getRealm(Display.getDefault())) {
			protected UpdateValueStrategy createTargetToModelUpdateValueStrategy(IObservableValue fromValue, IObservableValue toValue) {
				return new CustomUpdateValueStrategy();
			}
		};

		return bindingContext;
	}
}
